Subject: Re: [PATCH v2] dt-bindings: leds: Document "netdev" trigger

From: Lee Jones <[email-masked]>
Date: Thu, 1 Aug 2024 13:53:09 +0100

On Thu, 25 Jul 2024, Andrew Lunn wrote:

> > > diff --git a/Documentation/devicetree/bindings/leds/common.yaml b/Documentation/devicetree/bindings/leds/common.yaml
> > > index 8a3c2398b10ce..bf9a101e4d420 100644
> > > --- a/Documentation/devicetree/bindings/leds/common.yaml
> > > +++ b/Documentation/devicetree/bindings/leds/common.yaml
> > > @@ -113,6 +113,8 @@ properties:
> > >              # LED indicates NAND memory activity (deprecated),
> > >              # in new implementations use "mtd"
> > >            - nand-disk
> > > +            # LED indicates network activity
> > > +          - netdev
> > 
> > netdev is the description of the network development ML/repo, right?
> > 
> > Seems like an odd name for an OS agnostic property?
> 
> I agree that one meaning is the network development community within
> Linux.
> 
> But it also means a network device, which is OS agnostic. I don't
> really see it be any different to a memory technology device, mtd.

MTD is an acronym.

The only dodgy one I see in there is 'kbd-capslock'.

How about, now go with me here: 'network'?

I'd even suffer 'network-device' or 'net-device' if we really have to shorten.

Although, I'm not really sure the 'device' part needs to come into play'?

-- 
Lee Jones [李琼斯]